<dl id="product-topics-accordion" class="accordion">
  {% for category in product.help_categories %}
    {% set articles = get_pages_metadata({ "product_id": product_id, "template": "article", "category": category.name }) %}
    {% if articles %}
      <dt role="heading" aria-level="3" class="accordion-heading">
        <button aria-expanded="true" aria-controls="sect-{{ category.slug }}" id="heading-{{ category.slug }}" class="accordion-toggle-button">
          <img src="/dist/img/png/arrow-icon-secondary.png" srcset="/dist/img/svg/arrow-icon-secondary.svg 2x" alt="{{ "Toggle arrow" | translate("accordion-toggle-icon", "Image alt text") }}">
          {{ category.name | translate( category.slug + "-category-title", "Category title") }}
        </button>
      </dt>
      <dd role="region" aria-labelledby="heading-{{ category.slug }}" id="sect-{{ category.slug }}" class="accordion-body">
        <ul class="underlined-list">
          {% for article in articles %}
          <li>
            <a href="{{ article["page"] }}">
              {{ article.title | translate( get_page_name( article["page"]) + "-title", "Article title") }}
            </a>
          </li>
          {% endfor %}
        </ul>
      </dd>
    {% endif %}
  {% endfor %}
</dl>
